
FORTRAN

  Run_Time_Errors

    ADJARRDIM

       FOR$_ADJARRDIM, error   93, FATAL:  adjustable array dimension
       error

       Upon entry to a subprogram, the evaluation of dimensioning
       information detected an array in which:

       o  An upper-dimension bound was less than a lower-dimension bound.
       o  The dimensions implies an array that exceeded the addressable
          memory.

       You can continue execution immediately after this error -- if a
       user-written condition handler specifies that execution should
       continue.

       However, if the error occurs and a user-written condition handler
       causes execution to continue, any reference to the array in
       question will cause an access violation.


FORTRAN

  Run_Time_Errors

    ATTACCNON

       FOR$_ATTACCNON, error   36, FATAL:  attempt to access nonexistent
       record

       One of the following conditions occurred:

       o  An attempt was made to READ, FIND, or DELETE a nonexistent
          record from a relative organization file using direct access.
       o  An attempt was made to access beyond the end of the file with a
          direct access READ or FIND to a sequential organization file.
       o  An attempt was made to read a nonexistent record from an indexed
          organization file with a keyed access READ statement.


FORTRAN

  Run_Time_Errors

    BACERR

       FOR$_BACERR, error   23, FATAL:  BACKSPACE error

       One of the following conditions occurred:

       o  The file was not a sequential organization file.
       o The file was not opened for sequential access.  (A unit opened
          for append access may not be backspaced until a REWIND statement
          is executed for that unit.)
       o  RMS detected an error condition during execution of a BACKSPACE
          statement.


FORTRAN

  Run_Time_Errors

    CLOERR

       FOR$_CLOERR, error   28, FATAL:  CLOSE error

       An error condition was detected by RMS during execution of a CLOSE
       statement.


FORTRAN

  Run_Time_Errors

    DELERR

       FOR$_DELERR, error   55, FATAL:  DELETE error

       One of the following conditions occurred:

       o  On a direct access DELETE, the file did not have relative
          organization.
       o  On a current record DELETE, the file did not have relative or
          indexed organization, or the file was opened for direct access.
       o  RMS detected an error condition during execution of a DELETE
          statement.


FORTRAN

  Run_Time_Errors

    DUPFILSPE

       FOR$_DUPFILSPE, error   21, FATAL:  duplicate file specifications

       Multiple attempts were made to specify file attributes without an
       intervening close operation.  One of the following conditions
       occurred:

       o  A DEFINE FILE was followed by DEFINE FILE.
       o  A DEFINE FILE was followed by an OPEN statement.
       o  A CALL ASSIGN or CALL FDBSET was followed by an OPEN statement.


FORTRAN

  Run_Time_Errors

    ENDDURREA

       FOR$_ENDDURREA, error   24, FATAL:  end-of-file during read

       One of the following conditions occurred:

       o  An RMS end-of-file condition was encountered during execution of
          a READ statement that did not contain an END, ERR, or IOSTAT
          specification.
       o  An end-of-file record written by the ENDFILE statement was
          encountered during execution of a READ statement that did not
          contain an END, ERR, or IOSTAT specification.
       o  An attempt was made to read past the end of an internal file,
          character string, or array during execution of a READ statement
          that did not contain an END, ERR, or IOSTAT specification.


FORTRAN

  Run_Time_Errors

    ENDFILERR

       FOR$_ENDFILERR, error   33, FATAL:  ENDFILE error

       One of the following conditions occurred:

       o  The file was not a sequential organization file with
          variable-length records.
       o  The file was not opened for sequential or append access.
       o  An unformatted file did not contain segmented records.
       o  RMS detected an error during execution of an ENDFILE statement.


FORTRAN

  Run_Time_Errors

    ERRDURREA

       FOR$_ERRDURREA, error   39, FATAL:  error during read

       RMS detected an error condition during execution of a READ
       statement.


FORTRAN

  Run_Time_Errors

    ERRDURWRI

       FOR$_ERRDURWRI, error   38, FATAL:  error during write

       RMS detected an error condition during execution of a WRITE
       statement.


FORTRAN

  Run_Time_Errors

    FILNAMSPE

       FOR$_FILNAMSPE, error   43, FATAL:  file name specification error

       A file-name specification given to OPEN, INQUIRE, or CALL ASSIGN
       was not acceptable to RMS.


FORTRAN

  Run_Time_Errors

    FILNOTFOU

       FOR$_FILNOTFOU, error   29, FATAL:  file not found

       A file with the specified name could not be found during an open
       operation.


FORTRAN

  Run_Time_Errors

    FINERR

       FOR$_FINERR, error   57, FATAL:  FIND error

       RMS detected an error condition during execution of a FIND
       statement.


FORTRAN

  Run_Time_Errors

    FLOOVEMAT

       MTH$_FLOOVEMAT, error   88, FATAL:  floating overflow in math
       library

       A floating overflow condition was detected during execution of a
       math library procedure.  The result returned was the reserved
       operand, -0.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       Function return values can be modified by means of a user-written
       condition handler.


FORTRAN

  Run_Time_Errors

    FLOUNDMAT

       MTH$_FLOUNDMAT, error   89, FATAL:  floating underflow in math
       library

       A floating underflow condition was detected during execution of a
       math library procedure.  The result returned was zero.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       Function return values can be modified by means of a user-written
       condition handler.


FORTRAN

  Run_Time_Errors

    FLTDIV

       SS$_FLTDIV, error   73, FATAL:  arithmetic trap, floating/decimal
       divide-by-zero

       During a floating-point or decimal arithmetic operation, an attempt
       was made to divide by 0.0.  If floating, the result of the
       operation was set to the reserved operand, -0.  If decimal, the
       result of the operation is unpredictable.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.


FORTRAN

  Run_Time_Errors

    FLTDIV_F

       SS$_FLTDIV_F, error   73, FATAL:  arithmetic fault, floating divide
       by zero

       During a floating-point arithmetic operation, an attempt was made
       to divide by zero.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.


FORTRAN

  Run_Time_Errors

    FLTOVF

       SS$_FLTOVF, error   72, FATAL:  arithmetic trap, floating overflow

       During an arithmetic operation a floating-point value exceeded the
       largest representable value for that data type.  The result of the
       operation was set to the reserved operand, -0.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.


FORTRAN

  Run_Time_Errors

    FLTOVF_F

       SS$_FLTOVF_F, error   72, FATAL:  arithmetic fault, floating
       overflow

       During an arithmetic operation, a floating-point value exceeded the
       largest representable value for that data type.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.


FORTRAN

  Run_Time_Errors

    FLTUND

       SS$_FLTUND, error   74, FATAL:  arithmetic trap, floating underflow

       During an arithmetic operation a floating-point value became less
       than the smallest representable value for that data type and was
       replaced with a value of zero.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.


FORTRAN

  Run_Time_Errors

    FLTUND_F

       SS$_FLTUND_F, error   74, FATAL:  arithmetic fault, floating
       underflow

       During an arithmetic operation a floating-point value became less
       than the smallest representable value for that data type.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.


FORTRAN

  Run_Time_Errors

    FORVARMIS

       FOR$_FORVARMIS, error   61, FATAL:  format/variable-type mismatch

       An attempt was made either to read or write a real variable with an
       integer field descriptor (I or L), or to read or write an integer
       or logical variable with a real field descriptor (D, E, F, or G).
       If execution continued, one of the following actions occurred:
            Format      Action

            I,L         Converted as if INTEGER*4
            D,E,F,G     Converted as if REAL*4

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       The ERR transfer is taken after completion of the I/O statement for
       continued errors and the resulting status and record position are
       the same as though no error occurred.


FORTRAN

  Run_Time_Errors

    INCFILORG

       FOR$_INCFILORG, error   51, FATAL:  inconsistent file organization

       One of the following conditions occurred:

       o  The file organization specified in an OPEN statement did not
          match the organization of the existing file.
       o  The file organization of the existing file was inconsistent with
          the specified access mode; that is, either direct access was
          specified with an indexed organization file or keyed access was
          specified with a sequential or relative organization file.


FORTRAN

  Run_Time_Errors

    INCKEYCHG

       FOR$_INCKEYCHG, error   50, FATAL:  inconsistent key change or
       duplicate key

       A WRITE or REWRITE to an indexed organization file caused a key
       field to change or be duplicated.  This condition was not allowed
       by the attributes of the file, as established when the file was
       created.


FORTRAN

  Run_Time_Errors

    INCOPECLO

       FOR$_INCOPECLO, error   46, FATAL:  inconsistent OPEN/CLOSE
       parameters

       Specifications in an OPEN or CLOSE statement were inconsistent.
       Some invalid combinations are:

       o  READONLY with STATUS='NEW' or STATUS='SCRATCH'
       o  ACCESS='APPEND' with READONLY,STATUS='NEW', or STATUS='SCRATCH'
       o  DISPOSE='SAVE', 'PRINT', or 'SUBMIT' with STATUS='SCRATCH'
       o  DISPOSE='DELETE' with READONLY


FORTRAN

  Run_Time_Errors

    INCRECLEN

       FOR$_INCRECLEN, error   37, FATAL:  inconsistent record length

       One of the following conditions occurred:

       o  An attempt was made to create a new relative, indexed, or direct
          access file without specifying a record length.
       o  An existing file was opened in which the record length did not
          match the record size given in an OPEN or DEFINE FILE statement.


FORTRAN

  Run_Time_Errors

    INCRECTYP

       FOR$_INCRECTYP, error   44, FATAL:  inconsistent record type

       The RECORDTYPE value in an OPEN statement did not match the record
       type attribute of the existing file that was opened.


FORTRAN

  Run_Time_Errors

    INFFORLOO

       FOR$_INFFORLOO, error   60, FATAL:  infinite format loop

       The format associated with an I/O statement that included an I/O
       list had no field descriptors to use in transferring those values.


FORTRAN

  Run_Time_Errors

    INPCONERR

       FOR$_INPCONERR, error   64, FATAL:  input conversion error

       During a formatted input operation, either an invalid character was
       detected in an input field or the input value overflowed the range
       representable in the input variable.  The value of the variable was
       set to zero.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       The ERR transfer is taken after completion of the I/O statement for
       continued errors and the resulting status and record position are
       the same as though no error occurred.


FORTRAN

  Run_Time_Errors

    INPRECTOO

       FOR$_INPRECTOO, error   22, FATAL:  input record too long

       A record was read that exceeded the explicit or the default record
       length specified at OPEN (or by the default OPEN).  To read the
       file, use an OPEN statement with a RECL value of the appropriate
       size.


FORTRAN

  Run_Time_Errors

    INPSTAREQ

       FOR$_INPSTAREQ, error   67, FATAL:  input statement requires too
       much data

       An unformatted READ statement attempted to read more data than
       existed in the record being read.


FORTRAN

  Run_Time_Errors

    INSVIRMEM

       FOR$_INSVIRMEM, error   41, FATAL:  insufficient virtual memory

       The FORTRAN Run-Time Library attempted to exceed its virtual page
       limit while dynamically allocating space.


FORTRAN

  Run_Time_Errors

    INTDIV

       SS$_INTDIV, error   71, FATAL:  arithmetic trap, integer
       divide-by-zero

       During an integer arithmetic operation, an attempt was made to
       divide by zero.  The result of the operation was set to the
       dividend, which is equivalent to division by one.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.


FORTRAN

  Run_Time_Errors

    INTOVF

       SS$_INTOVF, error   70, FATAL:  arithmetic trap, integer overflow

       During an arithmetic operation, an integer value exceeded byte,
       word, or longword range.  The result of the operation was the
       correct low-order part.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.


FORTRAN

  Run_Time_Errors

    INVARGFOR

       FOR$_INVARGFOR, error   48, FATAL:  invalid argument to FORTRAN
       Run-Time Library

       One of the following conditions occurred:

       o  An invalid argument was given to a PDP-11 FORTRAN compatibility
          subroutine such as ERRSET.
       o  The FORTRAN compiler passed an invalid coded argument to the
          Run-Time Library.  This can occur if the compiler is newer than
          the Run-Time Library in use.


FORTRAN

  Run_Time_Errors

    INVARGMAT

       MTH$_INVARGMAT, error   81, FATAL:  invalid argument to math
       library

       One of the mathematical procedures detected an invalid argument
       value.


FORTRAN

  Run_Time_Errors

    INVKEYSPE

       FOR$_INVKEYSPE, error   49, FATAL:  invalid key specification

       A key specification in an OPEN statement or in a keyed access READ
       statement was invalid.  For example, the key length may have been
       zero or greater than 255 bytes, or the key length may not conform
       to the key specification of the existing file.


FORTRAN

  Run_Time_Errors

    INVLOGUNI

       FOR$_INVLOGUNI, error   32, FATAL:  invalid logical unit number

       A logical unit number greater than 99 or less than zero was used in
       an I/O statement.


FORTRAN

  Run_Time_Errors

    INVQUAL

       INVQUAL:  invalid qualifier or qualifier value in OPTIONS statement

       An invalid qualifier or qualifier value was specified in the
       OPTIONS statement.


FORTRAN

  Run_Time_Errors

    INVREFVAR

       FOR$_INVREFVAR, error   19, FATAL:  invalid reference to variable
       "varname" in namelist input

       The name of the variable in error is substituted for "varname" in
       the message text.  One of the following conditions occurred:

       o  The variable was not a member of the namelist group.
       o  An attempt was made to subscript the scalar variable.
       o  A subscript of the array variable was out-of-bounds.
       o  There were too many or too few subscripts for the variable.
       o  An attempt was made to specify a substring of a noncharacter
          variable or array name.
       o  A substring specifier of the character variable is
          out-of-bounds.
       o  A subscript or substring specifier of the variable was not an
          integer constant.
       o  An attempt was made to substring the unsubscripted array
          variable.


FORTRAN

  Run_Time_Errors

    KEYVALERR

       FOR$_KEYVALERR, error   45, FATAL:  keyword value error in OPEN
       statement

       An OPEN or CLOSE statement keyword requiring a value had an
       improper value.  Refer to the "Programming in VAX FORTRAN" for the
       allowed keyword values.


FORTRAN

  Run_Time_Errors

    LISIO_SYN

       FOR$_LISIO_SYN, error   59, FATAL:  list-directed I/O syntax error

       Either the data in a list-directed input record had an invalid
       format or the type of the constant was incompatible with the
       corresponding variable.  The value of the variable was unchanged.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       The ERR transfer is taken after completion of the I/O statement for
       continued errors and the resulting status and record position are
       the same as though no error occurred.


FORTRAN

  Run_Time_Errors

    LOGZERNEG

       MTH$_LOGZERNEG, error   83, FATAL:  logarithm of zero or negative
       value

       An attempt was made to take the logarithm of zero or of a negative
       number.  The result returned was the reserved operand, -0.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       Function return values can be modified by means of a user-written
       condition handler.


FORTRAN

  Run_Time_Errors

    MIXFILACC

       FOR$_MIXFILACC, error   31, FATAL:  mixed file access modes

       One of the following conditions occurred:

       o  An attempt was made to use both formatted and unformatted
          operations on the same unit.
       o  An attempt was made to use an invalid combination of access
          modes on a unit, such as direct and sequential.  The only valid
          combination is sequential and keyed on a unit opened with
          ACCESS='KEYED'.
       o  An attempt was made to execute a FORTRAN I/O statement on a
          logical unit that was opened by a language other than FORTRAN.


FORTRAN

  Run_Time_Errors

    NO_CURREC

       FOR$_NO_CURREC, error   53, FATAL:  no current record

       A REWRITE or current record DELETE was attempted when no current
       record was defined.


FORTRAN

  Run_Time_Errors

    NO_SUCDEV

       FOR$_NO_SUCDEV, error   42, FATAL:  no such device

       A file-name specification included an invalid or unknown device
       name when an open operation was attempted.


FORTRAN

  Run_Time_Errors

    NOTFORSPE

       FOR$_NOTFORSPE, error   1, FATAL:  not a FORTRAN-specific error

       An error occurred in the user program or in the Run-Time Library
       that was not a FORTRAN-specific error.  Therefore it was not
       reportable through any other message in the table.  If you call
       ERRSNS, an error of this kind returns a value of 1.  Use the fifth
       argument of the call to ERRSNS (condval) to obtain the unique
       system condition value that identifies the error.


FORTRAN

  Run_Time_Errors

    OPEDEFREQ

       FOR$_OPEDEFREQ, error   26, FATAL:  OPEN or DEFINE FILE required
       for keyed or direct access

       One of the following conditions occurred:

       o  A direct access READ, WRITE, FIND, or DELETE statement was
          attempted for a file when no DEFINE FILE or OPEN statement with
          ACCESS='DIRECT' was performed for that file.
       o  A keyed access READ statement was attempted for a file when no
          OPEN statement with ACCESS='KEYED' was performed for that file.


FORTRAN

  Run_Time_Errors

    OPEFAI

       FOR$_OPEFAI, error   30, FATAL:  open failure

       An error was detected by RMS while attempting to open a file in an
       OPEN, INQUIRE, or other I/O statement.  This message is used when
       the error condition is not one of the more common conditions for
       which specific error messages are provided.


FORTRAN

  Run_Time_Errors

    OUTCONERR

       FOR$_OUTCONERR, error   63, ERROR:  output conversion error

       During a formatted output operation, the value of a particular
       number could not be output in the specified field length without
       loss of significant digits.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       The ERR transfer is taken after completion of the I/O statement for
       continued errors and the resulting status and record position are
       the same as though no error occurred.

       If no ERR address has been defined, the program continues after the
       error message and the entire overflow field is filled with
       asterisks to indicate the error in the output record.


FORTRAN

  Run_Time_Errors

    OUTSTAOVE

       FOR$_OUTSTAOVE, error   66, FATAL:  output statement overflows
       record

       An output statement attempted to transfer more data than would fit
       in the maximum record size.


FORTRAN

  Run_Time_Errors

    RECIO_OPE

       FOR$_RECIO_OPE, error   40, FATAL:  recursive I/O operation

       While processing an I/O statement for a logical unit, another I/O
       operation on the same logical unit was attempted.  One of the
       following conditions may have occurred:

       o  A function subprogram that performs I/O to the same logical unit
          was referenced in an expression in an I/O list or variable
          format expression.
       o  An I/O statement was executed at AST level for the same logical
          unit.
       o  An exception handler (or a procedure it called) executed an I/O
          statement in response to a signal from an I/O statement for the
          same logical unit.


FORTRAN

  Run_Time_Errors

    RECNUMOUT

       FOR$_RECNUMOUT, error   25, FATAL:  record number outside range

       A direct access READ, WRITE, or FIND statement specified a record
       number outside the range specified when the file was created.


FORTRAN

  Run_Time_Errors

    REWERR

       FOR$_REWERR, error   20, FATAL:  REWIND error

       One of the following conditions occurred:

       o  The file was not a sequential organization file.
       o  The file was not opened for sequential or append access.
       o  RMS detected an error condition during execution of a REWIND
          statement.


FORTRAN

  Run_Time_Errors

    REWRITERR

       FOR$_REWRITERR, error   54, FATAL:  REWRITE error

       RMS detected an error condition during execution of a REWRITE
       statement.


FORTRAN

  Run_Time_Errors

    SEGRECFOR

       FOR$_SEGRECFOR, error   35, FATAL:  segmented record format error

       An invalid segmented record control data word was detected in an
       unformatted sequential file.  The file was probably either written
       in a language other that FORTRAN or created with RECORDTYPE='FIXED'
       or 'VARIABLE' in effect.


FORTRAN

  Run_Time_Errors

    SIGLOSMAT

       MTH$_SIGLOSMAT, error   87, FATAL:  significance lost in math
       library

       The magnitude of an argument or the magnitude of the ratio of the
       arguments to a math library function was so large that all
       significance in the result was lost.  The result returned was the
       reserved operand -0.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       Function return values can be modified by means of a user-written
       condition handler.


FORTRAN

  Run_Time_Errors

    SPERECLOC

       FOR$_SPERECLOC, error   52, FATAL:  specified record locked

       A READ or direct access WRITE, FIND, or DELETE was attempted on a
       record that was locked by another user.


FORTRAN

  Run_Time_Errors

    SQUROONEG

       MTH$_SQUROONEG, error   84, FATAL:  square root of negative value

       An argument required the evaluation of the square root of a
       negative value.  The result returned was the reserved operand -0.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       Function return values can be modified by means of a user-written
       condition handler.


FORTRAN

  Run_Time_Errors

    SUBRNG

       SS$_SUBRNG, error   77, FATAL:  arithmetic trap, subscript out of
       range

       An array reference was detected outside the declared array bounds.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.


FORTRAN

  Run_Time_Errors

    SYNERRFOR

       FOR$_SYNERRFOR, error   62, FATAL:  syntax error in format

       A syntax error was encountered while the Run-Time Library was
       processing a format stored in an array or character variable.


FORTRAN

  Run_Time_Errors

    SYNERRNAM

       FOR$_SYNERRNAM, error   17, FATAL:  syntax error in namelist input
       at or near "text"

       The syntax of input to a namelist-directed READ statement was
       incorrect.  The part of the record in which the error was detected
       is substituted for "text" in the message text.


FORTRAN

  Run_Time_Errors

    TOOMANREC

       FOR$_TOOMANREC, error   27, FATAL:  too many records in I/O
       statement

       One of the following conditions occurred:

       o  An attempt was made to read or write more than one record with
          an ENCODE or DECODE statement.
       o  An attempt was made to write more records than existed.


FORTRAN

  Run_Time_Errors

    TOOMANVAL

       FOR$_TOOMANVAL, error   18, FATAL:  too many values for namelist
       variable "varname"

       An attempt was made to assign too many values to a variable during
       a namelist-directed READ statement.  The name of the variable is
       substituted for" varname" in the message text.


FORTRAN

  Run_Time_Errors

    UNDEXP

       MTH$_UNDEXP, error   82, FATAL:  undefined exponentiation

       An exponentiation that is mathematically undefined was attempted,
       for example, 0.**0.  The result returned was the reserved operand
       -0 (for floating-point operations) or zero (for integer
       operations).

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       Function return values can be modified by means of a user-written
       condition handler.


FORTRAN

  Run_Time_Errors

    UNIALROPE

       FOR$_UNIALROPE, error   34, FATAL:  unit already open

       A DEFINE FILE statement specified a logical unit that was already
       opened.


FORTRAN

  Run_Time_Errors

    UNLERR

       FOR$_UNLERR, error   56, FATAL:  UNLOCK error

       RMS detected an error condition during execution of an UNLOCK
       statement.


FORTRAN

  Run_Time_Errors

    VFEVALERR

       FOR$_VFEVALERR, error   68, FATAL:  variable format expression
       error

       The value of a variable format expression was not within the range
       acceptable for its intended use; for example, a field width was
       less than or equal to zero.  A value of one was assumed, except for
       a P edit descriptor, for which a value of zero was assumed.

       You can continue execution immediately after the error -- if a
       user-written condition handler specifies that execution should
       continue.

       The ERR transfer is taken after completion of the I/O statement for
       continued errors and the resulting status and record position are
       the same as though no error occurred.


FORTRAN

  Run_Time_Errors

    WRIREAFIL

       FOR$_WRIREAFIL, error   47, FATAL:  write to READONLY file

       A write operation was attempted to a file that was declared
       READONLY by the currently active OPEN.


FORTRAN

  Run_Time_Errors

    WRONUMARG

       MTH$_WRONUMARG, error   80, FATAL:  wrong number of arguments

       An improper number of arguments was used to call a math library
       procedure.

